Bug 68480 - lame server resolving ldap.bogusdomain.bog (in 'bog.com'?)
lame server resolving ldap.bogusdomain.bog (in 'bog.com'?)
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: nss_ldap (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 11:54 EDT by Nicolas Mailhot
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 08:15:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2002-07-10 11:54:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020625

Description of problem:
I've recently switched a small subnet to nss_ldap + kerberos authentication. The
subnet uses a private ip class and a bogus domain bogusdomain.bog. Now the main
server logs are flooded with :
lame server resolving ldap.bogusdomain.bog in ('bog.com'?) messages as the
system somehow decides ldap.bogusdomain.bog = ldap.bogusdomain.bog .com and
tries to resolve the .com address with external dns servers.

The dns setup should be ok as *all* other bogusdomain.bog adress resolve fine on
all the network. In fact taping host ldap.bogusdomain.bog on any computer won't
produce a "lame server" message. But nss_ldap use with the same address does



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Setup a subnet with a private bogus domain and try to use nss_ldap

Additional info:

domain dns, krb & ldap on the same server
Comment 1 Nicolas Mailhot 2004-03-11 08:15:18 EST
way too old to be useful

Note You need to log in before you can comment on or make changes to this bug.